package com.bonus.canteen.core.supply.po;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel(
   value = "退货表",
   description = "退货表"
)
public class DrpRefundGoods {
   @ApiModelProperty("退货单号")
   private String refundGoodsId;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("退货时间")
   private LocalDateTime refundTime;
   @ApiModelProperty("退货仓库id")
   private Long refundWarehouseId;
   @ApiModelProperty("退货人")
   private String refundName;
   @ApiModelProperty("退货金额")
   private Long refundTotalAmount;
   @ApiModelProperty("退货数量")
   private BigDecimal refundTotalNum;
   @ApiModelProperty("关联采购单号")
   private String relateOrderGoodsId;
   @ApiModelProperty("是否出库(1已出库，2未出库)")
   private Integer ifOut;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public String getRefundGoodsId() {
      return this.refundGoodsId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public LocalDateTime getRefundTime() {
      return this.refundTime;
   }

   public Long getRefundWarehouseId() {
      return this.refundWarehouseId;
   }

   public String getRefundName() {
      return this.refundName;
   }

   public Long getRefundTotalAmount() {
      return this.refundTotalAmount;
   }

   public BigDecimal getRefundTotalNum() {
      return this.refundTotalNum;
   }

   public String getRelateOrderGoodsId() {
      return this.relateOrderGoodsId;
   }

   public Integer getIfOut() {
      return this.ifOut;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public DrpRefundGoods setRefundGoodsId(final String refundGoodsId) {
      this.refundGoodsId = refundGoodsId;
      return this;
   }

   public DrpRefundGoods setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
      return this;
   }

   public DrpRefundGoods setRefundTime(final LocalDateTime refundTime) {
      this.refundTime = refundTime;
      return this;
   }

   public DrpRefundGoods setRefundWarehouseId(final Long refundWarehouseId) {
      this.refundWarehouseId = refundWarehouseId;
      return this;
   }

   public DrpRefundGoods setRefundName(final String refundName) {
      this.refundName = refundName;
      return this;
   }

   public DrpRefundGoods setRefundTotalAmount(final Long refundTotalAmount) {
      this.refundTotalAmount = refundTotalAmount;
      return this;
   }

   public DrpRefundGoods setRefundTotalNum(final BigDecimal refundTotalNum) {
      this.refundTotalNum = refundTotalNum;
      return this;
   }

   public DrpRefundGoods setRelateOrderGoodsId(final String relateOrderGoodsId) {
      this.relateOrderGoodsId = relateOrderGoodsId;
      return this;
   }

   public DrpRefundGoods setIfOut(final Integer ifOut) {
      this.ifOut = ifOut;
      return this;
   }

   public DrpRefundGoods setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public DrpRefundGoods setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public DrpRefundGoods setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public DrpRefundGoods setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }

   public String toString() {
      String var10000 = this.getRefundGoodsId();
      return "DrpRefundGoods(refundGoodsId=" + var10000 + ", supplierId=" + this.getSupplierId() + ", refundTime=" + String.valueOf(this.getRefundTime()) + ", refundWarehouseId=" + this.getRefundWarehouseId() + ", refundName=" + this.getRefundName() + ", refundTotalAmount=" + this.getRefundTotalAmount() + ", refundTotalNum=" + String.valueOf(this.getRefundTotalNum()) + ", relateOrderGoodsId=" + this.getRelateOrderGoodsId() + ", ifOut=" + this.getIfOut() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ")";
   }
}
